## sd utils-0.3.1

=== requirements.txt ===
pygithub
pyyaml

## sd 0.75

=== debian/changelog ===
sd (0.75-1) unstable; urgency=low

  [ upstream ]
  * New release "this is getting ridiculous".
    User-visible highlights (not all commits are listed here):
    + fix hiveminder logins when setting username/password via URL.
    + bump dependencies to fix bitrot.
    + foreign replicas now have better username/password prompting.
    + clean up hiveminder sync messages.
    + fix cloning from hiveminder.
    + progress bar cleanups on clone/pull.
    + publish --html works again.
      Closes: bug#681815. Thanks to Helmut Grohne.
    + new server default port that clashes less with other HTTP servers.
    + misc mac fixes.
    + make -h more discoverable.
    + new 'help commands' page.
    + 'help browser' and 'help clone' now point to sync help.
    + mention --as and --local in clone usage messages.
    + add some SD-specific bash completion rules.

  [ Christine Spang ]
  * Remove Redmine from the package description and recommendations
    since it is too alpha to support in this package yet.
    Closes: #578090.
  * Update homepage.

  [ Jonas Smedegaard ]
  * Use CDBS (not dh sequencer).
    + Declare package relations in rules file.
    + Let CDBS automagically install README (and stop install irrelevant
      testsuite README while at it).
    + Implement get-orig-source target.
  * Take over as lead maintainer. Keep Christine as Uploader.
  * Update package relations:
    + Declare all build-dependencies in Build-Depends: Using
      Build-Depends-Indep has benefit only for architecture-specific
      packages.
    + Fix tighten (build-)dependency on libprophet-perl, and fix
      build-depend and depend on same version.
    + Stop build-depending on libtest-simple-perl: Provided by
      perl(-modules) since stable, and oldstable no longer supported.
      Drop corresponding TODO item.
    + Relax to build-depend unversioned on libtest-script-run-perl:
      Needed version satisfied in stable, and unavailable in oldstable
      (which is no longer supported anyway).
    + Build-depend on libtest-http-server-simple-perl and
      libtest-www-mechanize-perl: Enables more tests.
    + Explicitly build-conflict against libnet-google-code-perl and
      libnet-github-perl: Avoids some tests failing/hanging.
    + Tighten (build-)dependency on libhtml-tree-perl: Needed since
      App::SD 0.75.
    + (Build-)depend on libemail-mime-perl, libpath-class-perl and
      libtry-tiny-perl: Needed since App::SD 0.75.
    + Suggest libconfig-gitlike-perl: Needed for github replica since
      App::SD 0.75.
  * Bump dephelper compatibility level to 8.
  * Rewrite copyright file using machine-readable format 1.0.
  * Bump standards-version to 3.9.4.
  * Use anonscm.debian.org URLs in control file Vcs-* fields.
  * Imported Upstream version 0.75
  * Switch to dpkg source format 3.0 (quilt).
  * Add git-buildpackage config, enabling pristine-tar and signed tags.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Feb 2013 21:51:04 +0100

sd (0.74-1) unstable; urgency=medium

  * New upstream release
    - Works with Mouse > 0.40 again (Closes: #562323)
    - Check for target replicas before prompting for username/password.
      (Closes: #547078)
  * Urgency for this upload is medium since it fixes an RC bug that
    also needs to get fixed in testing.

 -- Christine Spang <christine@debian.org>  Sun, 03 Jan 2010 02:06:18 -0500

sd (0.73-1) unstable; urgency=low

  * New upstream release

 -- Christine Spang <christine@debian.org>  Fri, 11 Sep 2009 20:22:52 -0400

sd (0.72-1) unstable; urgency=low

  * New upstream release

 -- Christine Spang <christine@debian.org>  Sun, 06 Sep 2009 20:06:12 -0400

sd (0.71-1) unstable; urgency=low

  * Initial Release (Closes: #543650)

 -- Christine Spang <christine@debian.org>  Mon, 31 Aug 2009 18:12:58 -0400

=== debian/control ===
Source: sd
Section: perl
Priority: optional
Build-Depends: cdbs,
 devscripts,
 perl,
 debhelper,
 dh-buildinfo,
 libdatetime-perl,
 libdatetime-format-natural-perl,
 liburi-perl,
 libtime-progress-perl,
 libtry-tiny-perl,
 libemail-mime-perl,
 libpath-class-perl,
 libprophet-perl (>= 0.750),
 libhtml-tree-perl (>= 4.1),
 libtest-script-run-perl,
 libtest-http-server-simple-perl,
 libtest-www-mechanize-perl
Build-conflicts: libnet-google-code-perl, libnet-github-perl
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Christine Spang <christine@debian.org>
Standards-Version: 3.9.4
Homepage: http://syncwith.us/sd/
Vcs-git: git://anonscm.debian.org/collab-maint/sd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sd.git

Package: sd
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Suggests: ${cdbs:Suggests}
Description: peer-to-peer bug tracker
 SD is a peer-to-peer bug tracker that's built for sharing and use both
 online and offline. With SD, you can sync your bugs back and forth
 between other instances of SD, and even between SD and other bug
 trackers that SD supports. Since SD does not require a network
 connection for use and stores bug information locally, you can always
 access your bugs, no matter where you are.
 .
 Currently, SD supports syncing between SD and RT, Hiveminder,
 Trac, GitHub, and Google Code.
 .
 SD is built on top of Prophet, a distributed database system.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_PACKAGE = App-SD
DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/App
DEB_UPSTREAM_TARBALL_MD5 = 70c8d2ad969871dfe7a2d4a532a19fdc

# Needed by upstream build and (always/often) at runtime
perl-deps = datetime datetime-format-natural uri time-progress try-tiny
perl-deps += email-mime path-class
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
deps +=, libprophet-perl (>= 0.750)
deps +=, libhtml-tree-perl (>= 4.1)

# Needed by upstream testsuite
perl-deps-test = script-run http-server-simple www-mechanize
deps-test = $(patsubst %,$(comma) libtest-%-perl,$(perl-deps-test))

# Needed (seldom) at runtime
perl-suggests = rt-client-rest hiveminder net-jifty email-address www
perl-suggests += net-trac net-google-code net-github config-gitlike
suggests = $(patsubst %,$(comma) lib%-perl,$(perl-suggests))

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test)
CDBS_DEPENDS_$(pkg) = $(deps)
CDBS_RECOMMENDS_$(pkg) = $(suggests)

# suppress graphics file from copyright check
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(share/web/static/images/sd\.png|debian/(changelog|copyright(|_hints|_newhints)))$

=== debian/watch ===
version=3
http://search.cpan.org/dist/App-SD/   .*/App-SD-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## sd utils-0.6.0

=== requirements.txt ===
pygithub
pyyaml
flask
